//Ex4_21.cpp
#include "iostream" 
using namespace std;
void main() 
{int a[10],i, k,maxi,x; 
 a[0]=rand()%100+1;  //产生1~100之间的随机数，作为第0个元素 
 for(i=1;i<10;i++)   //通过程序自动形成有9个元素、有规律的数组 
	{re: x=rand()%100+1; 
     for(k=0;k<i;k++) 
       if(x==a[k]) goto re; //找到有相同的数，重新产生数 
     a[i]=x;  //无相同值元素，产生的数放入数组对应的元素位置中 
	} 
 cout<<"原始数据:"; 
 for(i=0;i<10;i++)     // 出产生的 10 个互不相同的元素 
   cout<<a[i]<<" "; 
 maxi=0; 
 for(i=1;i<10;i++)    //查找最大值的位置maxi 
   if(a[maxi]<a[i]) maxi=i; 
 cout<<endl<<"删除最大值:"<<a[maxi]; 
 for(i=maxi;i<9;i++)  //从最大值后面的元素往前移一位 
   a[i]=a[i+1]; 
 cout<<"后的数据:"; 
 for(i=0;i<9;i++)     //输出前9个元素 
   cout<<a[i]<<" "; 
 cout<<endl;
}
